Fibre Channel (SAN)

Reply
Occasional Contributor
Posts: 5
Registered: ‎12-28-2004

Problem with Switch Explorer and Java 1.7

I am having a similar issue as the post with the same title by udo.nast.  I could not figure out how to add content to orginal post.  I am also  having trouble with this since upgrading to Java 7 U45.  With Java 7 U25 I am able to access one 200E switch and not the other via the web.  They are both running 2.6.6c., the difference is that the one that works launches http://<IP>/wt-app.jar and the one that does not work launches http://<ip>/exmgr.jar.  Again with Java 7 U45 neither works displaying a certificate error.

Any help on a workaround would be appreciated.

New Member
Posts: 1
Registered: ‎11-07-2013

Re: Problem with Switch Explorer and Java 1.7

The issue is that the brocade switch embed a very old certificate from Verisign which signature is made with MD2 algorithm.

 

This weak algorithm is rejected by default on newer JVM. But you can change this setting:

 

Edit /lib/security/java.security and comment/delete the line:

#jdk.certpath.disabledAlgorithms=MD2

 

 

Occasional Contributor
Posts: 11
Registered: ‎02-27-2012

Re: Problem with Switch Explorer and Java 1.7

Told all my customers to downgrade to 7.25

They want to use the latest java version 7.45 of course and now they are not happy with the provided solution. 

 

 

Valued Contributor
Posts: 761
Registered: ‎06-11-2010

Re: Problem with Switch Explorer and Java 1.7

Hi,

 

You can try the solution provided by @deusx and if it works, you can implement it on 7.45.

Occasional Contributor
Posts: 11
Registered: ‎07-23-2009

Re: Problem with Switch Explorer and Java 1.7

Did that solution work for you?

Frequent Contributor
Posts: 104
Registered: ‎07-27-2009

Re: Problem with Switch Explorer and Java 1.7

I tried to explain it a bit more in detail here:

 

http://erwinvanlonden.net/2013/12/brocade-webtools-and-java/

 

Cheers

Erwin

New Contributor
Posts: 2
Registered: ‎01-03-2014

Re: Problem with Switch Explorer and Java 1.7

works a treat - thanks

New Contributor
Posts: 2
Registered: ‎11-20-2014

Re: Problem with Switch Explorer and Java 1.7

Fix:

 

Download Java 6 u 45 in x86 architecture   Do not have to change security level or anything  the Brocade switches are finicky with the architecture 

Join the Community

Get quick and easy access to valuable resource designed to help you manage your Brocade Network.

vADC is now Pulse Secure
Download FREE NVMe eBook